Skip to main content

Schedule Pickup API:

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://apI.rapidshyp.com/rapidshyp/apis/v1/schedule_pickup
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:

curl --location 'https://apI.rapidshyp.com/rapidshyp/apis/v1/schedule_pickup' \
--header 'rapidshyp-token: e779a4656*************1***************5f09ecd579fa1f34b64805e' \
--header 'Content-Type: application/json' \
--data '{
"shipment_id":"1111111111",
"awb":""
}'
Request ParametersRequirementRemarkValidation
shipment_idMandatoryOrder shipmentID on channel/store/websiteShould belong to a valid order.
awbNon-MandatoryAWB assigned to shipmentIDAWB should belong to the shipment ID shared.

Response:

JSON
{
"status": "SUCCESS",
"remarks": "SUCCESS",
"shipmentId": "1111111111",
"orderId": "1111111111",
"awb": "11111111111",
"courierCode": "6001",
"courierName": "BlueDart Express",
"parentCourierName": "BlueDart",
"routingCode": "DEL/ANT/ANT",
"rtoRoutingCode": "DEL/ANT/ANT"
}